# Class: AdminPostDiscountsDiscountRule

[internal](../modules/internal-7.md).AdminPostDiscountsDiscountRule

## Properties

### allocation

• **allocation**: [`AllocationType`](../enums/internal.AllocationType.md)

#### Defined in

medusa/dist/api/routes/admin/discounts/create-discount.d.ts:193

___

### conditions

• `Optional` **conditions**: [`AdminCreateCondition`](internal-7.AdminCreateCondition.md)[]

#### Defined in

medusa/dist/api/routes/admin/discounts/create-discount.d.ts:194

___

### description

• `Optional` **description**: `string`

#### Defined in

medusa/dist/api/routes/admin/discounts/create-discount.d.ts:190

___

### type

• **type**: [`DiscountRuleType`](../enums/internal.DiscountRuleType.md)

#### Defined in

medusa/dist/api/routes/admin/discounts/create-discount.d.ts:191

___

### value

• **value**: `number`

#### Defined in

medusa/dist/api/routes/admin/discounts/create-discount.d.ts:192
